%global modname fmn.web

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-fmn-web
Version:            0.7.1
Release:            1%{?dist}
Summary:            Frontend Web Application for Fedora Notifications

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fmn.web
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-nose

BuildRequires:      python-fmn-lib
BuildRequires:      python-openid
BuildRequires:      python-openid-cla
BuildRequires:      python-openid-teams
BuildRequires:      python-flask
BuildRequires:      python-flask-openid
BuildRequires:      python-wtforms
BuildRequires:      python-docutils
BuildRequires:      python-markupsafe
BuildRequires:      python-pylibravatar
BuildRequires:      python-pydns
BuildRequires:      python-urllib3
BuildRequires:      python-fedmsg-meta-fedora-infrastructure
BuildRequires:      python-datanommer-models
BuildRequires:      python-arrow

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:      python-ordereddict
BuildRequires:      python-sqlalchemy0.8
%else
BuildRequires:      python-sqlalchemy
%endif


Requires:           python-fmn-lib
Requires:           python-openid
Requires:           python-openid-cla
Requires:           python-openid-teams
Requires:           python-flask
Requires:           python-flask-openid
Requires:           python-wtforms
Requires:           python-docutils
Requires:           python-markupsafe
Requires:           python-pylibravatar
Requires:           python-pydns
Requires:           python-urllib3
Requires:           python-fedmsg-meta-fedora-infrastructure
Requires:           python-datanommer-models
Requires:           python-arrow

%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:           python-ordereddict
Requires:           python-sqlalchemy0.8
%else
Requires:           python-sqlalchemy
%endif

Requires:           httpd
Requires:           mod_wsgi


%description
fmn is a family of systems to manage end-user notifications triggered by
fedmsg, the Fedora FEDerated MESsage bus.

This module contains the frontend web application for Fedora Notifications.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%{__mkdir_p} %{buildroot}/%{_datadir}/%{modname}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/httpd/conf.d

cp -p apache/%{modname}.wsgi %{buildroot}%{_datadir}/%{modname}/%{modname}.wsgi
cp -p apache/%{modname}.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{modname}.conf
cp -r fmn/web/static/ %{buildroot}%{_datadir}/%{modname}/static

rm -rf %{buildroot}%{_datadir}/%{modname}/static/bootstrap

%files
%doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
%{python2_sitelib}/fmn/web/
%{python2_sitelib}/%{modname}-%{version}*

%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{modname}.conf
%{_datadir}/%{modname}

%changelog
* Thu Aug 27 2015 Ralph Bean <rbean@redhat.com> - 0.7.1-1
- new version

* Wed Jul 08 2015 Ralph Bean <rbean@redhat.com> - 0.7.0-3
- Remove incorrectly archived static resources.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Ralph Bean <rbean@redhat.com> - 0.7.0-1
- new version

* Sun May 03 2015 Ralph Bean <rbean@redhat.com> - 0.6.0-1
- new version

* Tue Apr 14 2015 Ralph Bean <rbean@redhat.com> - 0.5.3-1
- new version

* Thu Mar 26 2015 Ralph Bean <rbean@redhat.com> - 0.5.2-1
- new version

* Wed Mar 25 2015 Ralph Bean <rbean@redhat.com> - 0.5.1-1
- new version

* Tue Mar 24 2015 Ralph Bean <rbean@redhat.com> - 0.5.0-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.4.7-1
- new version

* Thu Feb 19 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-1
- new version

* Wed Jan 14 2015 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- Latest upstream.

* Mon Jan 12 2015 Ralph Bean <rbean@redhat.com> - 0.4.1-1
- Latest upstream.

* Tue Sep 16 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-2
- Patch two bugs caught in staging.

* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Latest upstream.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.6-1
- Latest upstream.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-1
- Latest upstream.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-2
- Patch for Covert Redirect.

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- Upstream release fixing omitted directories.

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-2
- Use cp -p over install.

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Upstream release.

* Mon Jan 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Latest upstream.
- Android linkage pieces.

* Thu Jan 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-2
- Add forgotten deps on datanommer, python-arrow, and fedmsg.meta.

* Thu Jan 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Latest upstream.
- Frontpage facelift.
- Show matching messages for a filter if datanommer is available.

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-2
- Correct installation of static dir.

* Fri Dec 06 2013 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Upstream release.

* Fri Dec 06 2013 Ralph Bean <rbean@redhat.com> - 0.1.4-2
- Update permissions on the wsgi file to be non-executable.

* Fri Dec 06 2013 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- Latest upstream with inactive-by-default apache config
- Removed unnecessary ownership of /usr/share/fmn.web

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- initial package for Fedora
